summaryrefslogtreecommitdiff
path: root/fixvers
diff options
context:
space:
mode:
Diffstat (limited to 'fixvers')
-rwxr-xr-xfixvers58
1 files changed, 58 insertions, 0 deletions
diff --git a/fixvers b/fixvers
new file mode 100755
index 00000000..f7e419b2
--- /dev/null
+++ b/fixvers
@@ -0,0 +1,58 @@
+#! /bin/sh
+
+# fixvers --- make sure version.c and patchlev.h reflect
+# the reality in configure.in
+#
+# Copyright (C) 2001 the Free Software Foundation, Inc.
+#
+# This file is part of GAWK, the GNU implementation of the
+# AWK Programming Language.
+#
+# GAWK is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# GAWK is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+
+line=`grep AM_INIT_AUTOMAKE configure.in`
+
+case $1 in
+-v)
+ VERS=`echo $line | sed 's/.*, *\([0-9][0-9]*\)\.\([0-9][0-9]*\)\.\([0-9][0-9]*\))/\1.\2/'`
+ sed "s/X\.Y/$VERS/" < version.in > version.new
+ if cmp version.c version.new
+ then
+ :
+ else
+ mv version.new version.c
+ fi
+ touch version.c
+ ;;
+
+-p)
+ LEV=`echo $line | sed 's/.*, *\([0-9][0-9]*\)\.\([0-9][0-9]*\)\.\([0-9][0-9]*\))/\3/'`
+ echo "#define PATCHLEVEL $LEV" > patchlev.new
+ if cmp patchlev.h patchlev.new
+ then
+ :
+ else
+ mv patchlev.new patchlev.h
+ fi
+ touch patchlev.h
+ ;;
+
+*)
+ echo "usage: $0 -v|-p" 1>&2
+ exit 1
+ ;;
+esac
+
+exit 0